<div class="col-md-6 col-md-offset-3">
  <h2>Sign up</h2>
  <form name="form" (ngSubmit)="onSubmit(f)" #f="ngForm" novalidate>
    <div class="form-group">
      <label for="username">Username</label>
      <input id="username" type="text" class="form-control" name="username" [(ngModel)]="model.username" #user="ngModel"
        required minlength="1" />
      <div *ngIf="isFormSubmittedWithInvalidUsername(f)" class="help-block">Username is required</div>
    </div>
    <div class="form-group">
      <label for="password">Password</label>
      <input id="password" type="password" class="form-control" name="password" [(ngModel)]="model.password"
        #pass="ngModel" required minlength="1" />
      <div *ngIf="isFormSubmittedWithInvalidPassword(f)" class="help-block">Password is required
      </div>
    </div>
    <div class="form-group">
      <label for="firstname">First name</label>
      <input id="firstname" type="text" class="form-control" name="firstname" [(ngModel)]="model.firstname"
        #pass="ngModel" required minlength="1" />
      <div *ngIf="isFormSubmittedWithInvalidFirstName(f)" class="help-block">First name is required
      </div>
    </div>
    <div class="form-group">
      <label for="lastname">Last name</label>
      <input id="lastname" type="text" class="form-control" name="lastname" [(ngModel)]="model.lastname"
        #pass="ngModel" required minlength="1" />
      <div *ngIf="isFormSubmittedWithInvalidLastName(f)" class="help-block">Last name is required
      </div>
    </div>
    <div class="form-group">
      <button class="btn btn-primary">Sign Up</button>
    </div>
    <p>
      Have account?
      <a href="/auth/login"> Login </a>
    </p>
    <div *ngIf="incorrectUsernameError" class="alert alert-danger">
      "Username is already taken."
    </div>
  </form>

</div>